#
# spec file for package acroread-cmaps (Version 8.1.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           acroread-cmaps
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
Url:            http://www.adobe.com/products/acrobat/readermain.html
License:        Any commercial
Group:          Productivity/Publishing/PDF
AutoReqProv:    on
Provides:       locale(ja;ko;zh)
Summary:        CMap files for acroread
Source0:        ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/misc/FontPack81_chs_i486-linux.tar.bz2
Source1:        ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/misc/FontPack81_cht_i486-linux.tar.bz2
Source2:        ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/misc/FontPack81_jpn_i486-linux.tar.bz2
Source3:        ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/misc/FontPack81_kor_i486-linux.tar.bz2
#Source4:        ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.1/misc/FontPack81_xtd_i486-linux.tar.bz2
# this Version is reported when calling "acroread -version"
Version:        8.1.2
Release:        1.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
NoSource:       0
NoSource:       1
NoSource:       2
NoSource:       3

%description
Character Map files for acroread which are needed for Chinese, Japanese
and Korean.



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-zh_CN
Requires:       acroread acroread-cmaps
Provides:       locale(zh)
Summary:        Simplified Chinese fonts for acroread
Group:          System/I18n/Chinese
AutoReqProv:    on

%description -n acroread-fonts-zh_CN
Simplified Chinese fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-zh_TW
Requires:       acroread acroread-cmaps
Provides:       locale(zh)
Summary:        Traditional Chinese fonts for acroread
Group:          System/I18n/Chinese
AutoReqProv:    on

%description -n acroread-fonts-zh_TW
Traditional Chinese fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-ko
Requires:       acroread acroread-cmaps
Provides:       locale(ko)
Summary:        Korean fonts for acroread
Group:          System/I18n/Korean
AutoReqProv:    on

%description -n acroread-fonts-ko
Korean fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%package     -n acroread-fonts-ja
Requires:       acroread acroread-cmaps
Provides:       locale(ja)
Summary:        Japanese fonts for acroread
Group:          System/I18n/Japanese
AutoReqProv:    on

%description -n acroread-fonts-ja
Japanese fonts for acroread



Authors:
--------
    Adobe Systems Incorporated

%define INSTALL_DIR /usr/lib

%prep
# unpack the Source into a suitable directory
# there is the top-level directory "AdobeReader" in the source archive
%setup -T -c AdobeReader -n AdobeReader -a 0 -a 1 -a 2 -a 3 

%build
# there is nothing to build as this package is a binary-only package

%install
# install the extra font packages:
mkdir -p $RPM_BUILD_ROOT%INSTALL_DIR
for i in CHSKIT/*TAR CHTKIT/*TAR KORKIT/*TAR JPNKIT/*TAR
do
    tar xvf $i -C $RPM_BUILD_ROOT%INSTALL_DIR 
done
# Delete files which are already in the main acroread package:
rm -f $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib/libicudata.so.34.0
rm -f $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Resource/CMap/Identity-H
rm -f $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Resource/CMap/Identity-V
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT
%endif

%clean

%files -n acroread-cmaps
%defattr(-,root,root)
%doc CHSKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader8/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/CMap/
# the Identity* CMaps area already in the main acroread package:
%INSTALL_DIR/Adobe/Reader8/Resource/CMap/[0-9A-HJ-Z]*

%files -n acroread-fonts-zh_CN
%defattr(-,root,root)
%doc CHSKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader8/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/AdobeSongStd-Light.otf

%files -n acroread-fonts-zh_TW
%defattr(-,root,root)
%doc CHTKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader8/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/AdobeMingStd-Light.otf

%files -n acroread-fonts-ko
%defattr(-,root,root)
%doc KORKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader8/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/AdobeMyungjoStd-Medium.otf

%files -n acroread-fonts-ja
%defattr(-,root,root)
%doc JPNKIT/LICREAD.TXT
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Reader8/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/
%INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/KozMinProVI-Regular.otf
%INSTALL_DIR/Adobe/Reader8/Resource/CIDFont/KozGoProVI-Medium.otf

%changelog
* Tue Feb 05 2008 - mfabian@suse.de
- update fontpackages to the final release for 8.1.2.
  (now a Gothic font for Japanese is included.)
* Fri Jan 11 2008 - mfabian@suse.de
- use fdupes only for openSUSE >= 10.3.
* Fri Jan 11 2008 - mfabian@suse.de
- adapt paths for acroread 8.1.2.
* Fri Oct 12 2007 - mfabian@suse.de
- new packages with CMaps and fonts for Chinese, Japanese,
  and Korean.
